> For the complete documentation index, see [llms.txt](https://developer.openactive.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.openactive.io/data-model/types/payment.md).

# Payment

This page describes the Payment type.

## **Properties**

### **Optional properties**

| Property           | Expected Type                                                                              | Description                                                                                                                                                                                  |
| ------------------ | ------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type              | [`Text`](https://schema.org/Text)                                                          | Must always be present and set to `"@type": "Payment"`                                                                                                                                       |
| accountId          | [`Text`](https://schema.org/Text)                                                          | A reference used by the Seller to group transactions, which is used to aid reconciliation.                                                                                                   |
| additionalProperty | Array of [`PropertyValue`](https://developer.openactive.io/data-model/types/propertyvalue) | PropertyValue that contains a text value useful for reconciliation.                                                                                                                          |
| identifier         | [`Text`](https://schema.org/Text)                                                          | <p>The identifier of the payment held by the Broker and/or Payment Provider.</p><p><br>Example</p><p><code>"identifier": "SB1234"</code></p>                                                 |
| name               | [`Text`](https://schema.org/Text)                                                          | Optional free text description of the payment method for the Booking System, to help the Seller in discussions with the Customer (e.g. 'AcmeBroker Points' or 'AcmeBroker via Credit Card'). |
| paymentMethod      | [`PaymentMethod`](http://purl.org/goodrelations/v1#PaymentMethod)                          | paymentMethod must not be used, and is reserved for future versions of this specification.                                                                                                   |
| paymentProviderId  | [`Text`](https://schema.org/Text)                                                          | A reference to the specific Payment Provider that is used.                                                                                                                                   |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.openactive.io/data-model/types/payment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
